package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class CppTestTusarHudsonTestType extends TestType {

private static TestTypeDescriptor<? extends TestType> DESCRIPTOR = new CppTestTusarHudsonTestType.DescriptorImpl();

@DataBoundConstructor
public CppTestTusarHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<? extends TestType> getDescriptor() {
 return  DESCRIPTOR;
}

@Extension
public static class DescriptorImpl  extends TestTypeDescriptor<CppTestTusarHudsonTestType> {

  public DescriptorImpl() {
     super(CppTestTusarHudsonTestType.class, com.thalesgroup.dtkit.tusar.CppTestUnit.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.tusar.CppTestUnit";
}

}

}
